## net.i2p.router.tunnel
Class TrivialRouterPreprocessor

    java.lang.Object
      net.i2p.router.tunnel.TrivialPreprocessor
          net.i2p.router.tunnel.TrivialRouterPreprocessor

All Implemented Interfaces:
  TunnelGateway.QueuePreprocessor

Deprecated. unused

    public class TrivialRouterPreprocessor

extends TrivialPreprocessor

Minor extension to track fragmentation

Field Summary

Fields inherited from class net.i2p.router.tunnel.TrivialPreprocessor
`_context, _dataCache, _log, IV_SIZE, PREPROCESSED_SIZE`

Constructor Summary
`TrivialRouterPreprocessor(RouterContext ctx)` Deprecated.

Method Summary
`protected void` `notePreprocessing(long messageId, int numFragments, int totalLength, List<Long> messageIds)` Deprecated.

Methods inherited from class net.i2p.router.tunnel.TrivialPreprocessor
`getDelayAmount, getInstructionAugmentationSize, getInstructionsSize, notePreprocessing, preprocess, preprocessQueue, writeFirstFragment, writeSubsequentFragment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrivialRouterPreprocessor

    public TrivialRouterPreprocessor(RouterContext ctx)

  Deprecated.

Method Detail

### notePreprocessing

    protected void notePreprocessing(long messageId,
                                     int numFragments,
                                     int totalLength,
                                     List<Long> messageIds)

  Deprecated.